## python-scattnlay-2.3.tar.gz

=== Makefile ===
PYTHON=`which python3`
DESTDIR=/
PROJECT=python-scattnlay
VERSION=2.3
BUILDIR=$(CURDIR)/debian/$(PROJECT)
SRCDIR=$(CURDIR)/src
MULTIPREC=100
CXX_NMIE_HEADERS=$(SRCDIR)/nmie.hpp $(SRCDIR)/nmie-impl.hpp $(SRCDIR)/nmie-precision.hpp

all:
	@echo "make source - Create source package for Python extension"
	@echo "make ext - Create Python extension in place"
	@echo "make install - Install Python extension on local system"
	@echo "make rpm - Generate a rpm package for Python extension"
	@echo "make deb - Generate a deb package for Python extension"
	@echo "make standalone - Create standalone programs (scattnlay and fieldnlay)"
	@echo "make clean - Delete temporal files"
#	make standalone

source:
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../

ext: $(SRCDIR)/nmie.cc $(SRCDIR)/nmie-pybind11.cc $(SRCDIR)/pb11_wrapper.cc
	$(PYTHON) setup.py build_ext --inplace

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

rpm:
	#$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall
	$(PYTHON) setup.py bdist_rpm --dist-dir=../

deb: source
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	dpkg-buildpackage -i -I -rfakeroot

standalone: scattnlay fieldnlay scattnlay-mp fieldnlay-mp

# standalone programs with DP
scattnlay: $(SRCDIR)/farfield.cc $(SRCDIR)/nmie.cc $(CXX_NMIE_HEADERS)
	$(CXX) -DNDEBUG -O2 -Wall -std=c++11 $(SRCDIR)/farfield.cc $(SRCDIR)/nmie.cc  -lm -o scattnlay $(CXXFLAGS) $(LDFLAGS)

fieldnlay: $(SRCDIR)/nearfield.cc $(SRCDIR)/nmie.cc $(CXX_NMIE_HEADERS)
	$(CXX) -DNDEBUG -O2 -Wall -std=c++11 $(SRCDIR)/nearfield.cc $(SRCDIR)/nmie.cc  -lm -o fieldnlay $(CXXFLAGS) $(LDFLAGS)

# standalone programs with MP
scattnlay-mp: $(SRCDIR)/farfield.cc $(SRCDIR)/nmie.cc $(CXX_NMIE_HEADERS)
	$(CXX) -DNDEBUG -DMULTI_PRECISION=$(MULTIPREC) -O2 -Wall -std=c++11 $(SRCDIR)/farfield.cc $(SRCDIR)/nmie.cc  -lm -o scattnlay-mp $(CXXFLAGS) $(LDFLAGS)

fieldnlay-mp: $(SRCDIR)/nearfield.cc $(SRCDIR)/nmie.cc $(CXX_NMIE_HEADERS)
	$(CXX) -DNDEBUG -DMULTI_PRECISION=$(MULTIPREC) -O2 -Wall -std=c++11 $(SRCDIR)/nearfield.cc $(SRCDIR)/nmie.cc  -lm -o fieldnlay-mp $(CXXFLAGS) $(LDFLAGS)

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete
	find . -name '*.o' -delete
	find . -name '*.so' -delete

=== debian/changelog ===
python-scattnlay (2.3.0-1) bionic; urgency=low

  * Updated for Bionic Beaver (2.3.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Fri, 04 Oct 2019 10:43:00 +0100

python-scattnlay (2.2.0-1) xenial; urgency=low

  * Updated for Xenial Xerus (2.2.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Thu, 19 Feb 2017 11:44:00 +0100

python-scattnlay (2.1.0-1) xenial; urgency=low

  * Updated for Xenial Xerus (2.1.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Thu, 19 Jan 2017 10:45:13 +0200

python-scattnlay (2.1.0-1) trusty; urgency=low

  * Updated for Trusty Tahr (2.1.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com> Thu, 16 Jan 2017 16:45:13 +0200

python-scattnlay (2.0.0-1) utopic; urgency=low

  * Updated for Utopic Unicorn (2.0.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Thu, 06 May 2015 16:45:13 +0200
 

python-scattnlay (0.3.1-1) utopic; urgency=low

   * Updated for Utopic Unicorn (0.3.1-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com> Thu, 10 December 2014 16:45:13 +0200

python-scattnlay (0.3.0-1) utopic; urgency=low

  * Updated for Utopic Unicorn (0.3.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Thu, 13 November 2014 16:45:13 +0200
  

python-scattnlay (0.2.1-1) trusty; urgency=low

  * Updated for Trusty Tahr (0.2.1-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Mon, 26 May 2014 16:45:13 +0200
 

python-scattnlay (0.1.0-1) raring; urgency=low

  * Updated for Raring Ringtail (0.1.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Wed, 02 Sep 2013 16:45:13 +0200
 

python-scattnlay (0.1.0-1) precise; urgency=low

  * Updated for Precise Pangolin (0.1.0-1)
 -- Ovidio Peña Rodríguez <ovidio@bytesfall.com>  Sun, 13 May 2012 16:45:13 +0200
 

python-scattnlay (0.1.0-1) lucid; urgency=low

  * Initial release for Lucid Lynx (0.1.0)
 -- Ovidio Pena Rodriguez <ovidio@bytesfall.com>   Sun, 13 Dec 2009 15:24:08 +0100
 

=== debian/control ===
Source: python-scattnlay
Section: science
Priority: optional
Maintainer: Ovidio Peña Rodríguez <ovidio@bytesfall.com>
Build-Depends: debhelper (>=7.0.0), dh-python, cdbs (>= 0.4.49), libboost-all-dev (>= 1.58.0), python-numpy (>= 1.0), python-all-dev, python-numpy-dev
X-Python-Version: >=2.4
Standards-Version: 3.8.3

Package: python-scattnlay
Architecture: any
Homepage: http://scattering.sourceforge.net/
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libboost-math (>= 1.58.0), python-numpy (>= 1.0)
Description: Calculation of the scattering of EM radiation by a multilayered sphere
 The Python version of scattnlay, a computer implementation of the algorithm
 for the calculation of electromagnetic radiation scattering by a multilayered
 sphere developed by Yang. It has been shown that the program is effective,
 resulting in very accurate values of scattering efficiencies for a wide range
 of size parameters, which is a considerable improvement over previous
 implementations of similar algorithms. For details see:
 O. Peña, U. Pal, Comput. Phys. Commun. 180 (2009) 2348-2354.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS='-std=c++11' '-Wc++0x-compat'

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf build build-stamp configure-stamp build/ MANIFEST
	dh_clean

=== debian/watch ===
version=3
https://github.com/ovidiopr/scattnlay/archive/v2\.2\.0\.tar\.gz
